通知处理程序
GET https://xlin.cc/api/notification-handlers/
curl --request GET \
--url 'https://xlin.cc/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在搜索哪个字段。允许的值是:name。 |
| is_enabled | 可选 布尔 | |
| type | 可选 字符串 | 您正在搜索哪个字段。允许的值是:email , webhook , telegram , microsoft_teams , twilio , internal_notification。 |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值是:notification_handler_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在搜索哪个字段。允许的值是:name。 |
| is_enabled | 可选 布尔 | |
| type | 可选 字符串 | 您正在搜索哪个字段。允许的值是:email , webhook , telegram , microsoft_teams , twilio , internal_notification。 |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值是:notification_handler_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 每页您想要多少结果。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认值为25。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-13 05:09:46",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://xlin.cc/api/notification-handlers?page=1",
"last": "https://xlin.cc/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://xlin.cc/api/notification-handlers?page=1"
}
}
GET https://xlin.cc/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://xlin.cc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-13 05:09:46",
}
}
POST https://xlin.cc/api/notification-handlers
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| type | 必需 字符串 | 允许的值:email , webhook , telegram , microsoft_teams , twilio , internal_notification |
| 可选 字符串 | 可用时间:type = email 电子邮件 | |
| webhook | 可选 字符串 | 可用时间:type = webhook Webhook URL |
| telegram | 可选 字符串 | 可用时间:type = telegram Telegram API 令牌 |
| telegram_chat_id | 可选 字符串 | 可用时间:type = telegram Telegram 聊天 ID |
| microsoft_teams | 可选 字符串 | 可用时间:type = microsoft_teams Microsoft Teams webhook URL |
| twilio | 可选 字符串 | 可用时间:type = twilio 电话号码 |
curl --request POST \
--url 'https://xlin.cc/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://xlin.cc/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://xlin.cc/api/notification-handlers/{notification_handler_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值:email , webhook , telegram , microsoft_teams , twilio , internal_notification |
| 可选 字符串 | 可用时间:type = email 电子邮件 | |
| webhook | 可选 字符串 | 可用时间:type = webhook Webhook URL |
| telegram | 可选 字符串 | 可用时间:type = telegram Telegram API 令牌 |
| telegram_chat_id | 可选 字符串 | 可用时间:type = telegram Telegram 聊天 ID |
| microsoft_teams | 可选 字符串 | 可用时间:type = microsoft_teams Microsoft Teams webhook URL |
| twilio | 可选 字符串 | 可用时间:type = twilio 电话号码 |
| is_enabled | 可选 布尔 | - |
curl --request POST \
--url 'https://xlin.cc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://xlin.cc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://xlin.cc/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://xlin.cc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \